* {
    padding: 0;
    box-sizing: border-box;
    margin: 0;
    font-family:
        system-ui,
        -apple-system,
        BlinkMacSystemFont,
        "Segoe UI",
        Roboto,
        Oxygen,
        Ubuntu,
        Cantarell,
        "Open Sans",
        "Helvetica Neue",
        sans-serif;
}

button {
    appearance: none;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: transparent;
}

body {
    background-color: #232323;
    overflow-x: hidden;
}
nav {
    align-items: center;
    display: flex;
    justify-content: space-between;
    padding: 8px;
    background-color: #2b2b2b;
}
.nav-link {
    color: #d66140;
    text-decoration: none;
    padding: 0 10px;
}

.nav-link:hover {
    text-underline-offset: 8px;
    text-decoration: underline;
}
.hero {
    background: url("/resources/imgs/Untitled-30.png");
    background-position: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 600px;
    align-items: center;
}

.hero-name {
    display: flex;
    align-items: center;
    gap: 16px;
    font-size: 48px;
    font-weight: 600;
    color: #d66140;
}

.hero-desc {
    font-size: 24px;
    font-weight: 400;
    color: #d66140;
}

.ms-get,
.features {
    /* height: 200px; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.ms-head {
    margin-top: 80px;
    margin-bottom: 40px;
    font-size: 24px;
    /* padding-bottom: 20px; */
    font-weight: 600;
    color: #d66140;
}

.feature-head {
    margin-bottom: 40px;
}

.features {
    gap: 10px;
    /* margin-bottom: 100px; */
}
.feature-card {
    font-weight: 400;
    border-radius: 16px;
    width: 600px;
    padding: 8px;
    background-color: #2b2b2b;
    font-weight: 200;
    font-size: 20px;
    color: #d66140;
}

footer {
    margin-top: 60px;
    background-color: #2b2b2b;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60px;
    color: #d66140;
}

.carousel {
    /* max-width: 700px; */
    margin: 40px 0px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.carousel img {
    object-fit: contain;
    width: 100%;
    border-radius: 12px;
    display: block;
}

#slide {
    object-fit: contain;
}
.slider {
    max-width: 800px;
    height: 400px;
    position: relative;
    align-items: center;
    display: flex;

    box-shadow:
        rgba(0, 0, 0, 0.25) 0px 54px 55px,
        rgba(0, 0, 0, 0.12) 0px -12px 30px,
        rgba(0, 0, 0, 0.12) 0px 4px 6px,
        rgba(0, 0, 0, 0.17) 0px 12px 13px,
        rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

.next-btn,
.prev-btn {
    top: 50%;
    transform: translateY(-50%);
}

.prev-btn {
    left: 10px;
}

.next-btn {
    right: 10px;
}

.slider button {
    position: absolute;
}
.slider button img {
    height: 32px;
    width: 32px;
}
.carousel button {
    background-color: transparent;
    border-color: transparent;
    padding: 16px;
    cursor: pointer;
    /* transition: background-color 0.2s ease; */
}

.carousel button:hover {
    color: #d66140;
}

.req-form {
    margin-top: 100px;
    display: flex;
    justify-content: center;
}

.feature-req-head {
    font-size: 20px;
    color: #d66140;
    width: 100%;
    text-align: center;
}

form {
    justify-content: center;
    /* padding: 20px 0; */
    border-radius: 10px;
    width: 600px;
    height: 520px;
    padding: 0 10px;
    background-color: #2b2b2b;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.button-container {
    display: flex;
    justify-content: center;
    /* border-radius: 100px; */
    height: 32px;
}

form button {
    border: none;
    color: #d66140;
    background-color: #232323;
    outline: 1px solid #d66140;
    cursor: pointer;
    border-radius: 8px;
    width: 200px;
}

form button:hover {
    text-decoration: underline;
}
.form-input {
    /* margin: 20px 0px; */
    padding: 0 20px;
    align-items: center;
    display: flex;
    justify-content: space-between;
}

.form-input input {
    color: lightgrey;
    padding: 10px;
    width: 100%;
    border: none;
    background-color: #232323;
    border-radius: 8px;
}

input:focus {
    outline: 1px solid #d66140;
}
textarea {
    color: lightgrey;
    width: 100%;
    height: 200px;
    border-radius: 8px;
    padding: 10px;
    background-color: #232323;
    resize: none;
    border: none;
}

textarea:focus {
    outline: 1px solid #d66140;
}

.form-input {
    flex-direction: column;
    gap: 4px;
}

.form-input label {
    color: #d66140;
}

.form-input label {
    align-self: self-start;
}

.drop-menu {
    position: relative;
}
#menubutton {
    /* position: relative; */
    cursor: pointer;
    height: 32px;
    width: 32px;
    display: none;
}

.nav-drop-box {
    position: absolute;
    right: 0;
    display: none;
}

.drop-menu ul {
    display: none;
    list-style-type: none;
    margin: 0;
}

.drop-menu li {
    background-color: #2b2b2b;
    text-align: left;
}

.drop-menu li:hover {
    background-color: #232323;
}

.drop-menu .nav-link {
    display: block;
    width: 100%;
    /* height: 20px; */
    padding: 10px;
}
.drop-menu .nav-link:hover {
    text-decoration: none;
}
@media screen and (max-width: 768px) {
    .feature-card {
        width: 90%;
        max-width: 600px;
    }

    .slider {
        width: 90%;
        max-width: 600px;
        object-fit: contain;
        /* height: 200px; */
    }

    .carousel button img {
        width: 16px;
    }

    .hero-desc {
        text-align: center;
    }

    #menubutton {
        display: flex;
    }

    .nav-drop-box {
        /* position: absolute; */
        /* display: block; */
    }

    form {
        margin: 0 20px;
        min-width: 320px;
        height: 510px;
    }

    .form-input input {
        margin: 0px 20px;
    }

    .form-input textarea {
        margin: 0px 20px;
    }

    .navigation-links {
        display: none;
    }

    /* .drop-menu:hover ul{
        display: block;
    } */
}

#menubutton {
    transition: transform 0.3s ease;
}

#menubutton.right {
    transform: rotate(90deg);
}

#menubutton.left {
    transform: rotate(0deg);
}
